JDK 16 is not appearing in the Java Version dropdown

  • 375 Views
  • Last Post 13 June 2021
  • Topic Is Solved
forrest.wilson posted this 13 June 2021

OS Name/Version: Ubuntu 20.04

Product Name/Version: v2.1.1.8 Ganymede

Problem Description:

I'm trying to start a 1.17 Minecraft server.

I'm running the latest AMP version and have adoptopenjdk-16-hotspot-amd64 installed on my system and JDK 16 just isn't showing up. I've tried restarting the server, restarting AMP throught the ampinstmgr command, manually editing the Java.JavaVersion line to point to the java executable in MinecraftModule.kvp and creating new instances to no avail. I either get "AMP couldn't find Java, check that it's installed" when I manually specify a path to the java executable or "Error: LinkageError occurred while loading main class net.minecraft.server.Main" when I select JDK 8 or JDK 11 in the AMP UI

Running "java -version" tells me:

openjdk version "16.0.1" 2021-04-20 OpenJDK Runtime Environment AdoptOpenJDK-16.0.1+9 (build 16.0.1+9) OpenJDK 64-Bit Server VM AdoptOpenJDK-16.0.1+9 (build 16.0.1+9, mixed mode, sharing)

so I know the correct version is installed on the system.

Any insight would be helpful, and judging by some of the other questions on this forum, I'm not the only one having issues.

Thanks

Edit: I'm a moron who doesn't know how AMP works. I ended up pulling the cubecoders/ampbase:java8 docker image and the option appeared. Thanks AbhorrentJoel for the heads up.

For anyone else in my situation (running my own server with docker), I did the following:

  • Run sudo docker pull cubecoders/ampbase:java8 on your server and wait for the image to update
  • Restart the instance manager with sudo service ampinstmgr restart
  • Or restart the server entirely with sudo reboot

Order By: Standard | Newest | Votes
AbhorrentJoel posted this 13 June 2021

Are you using Docker? If so, then you will need to pull the latest image(s).

  • Liked by
  • forrest.wilson
forrest.wilson posted this 13 June 2021

So that all matches what my system says too but AMP is just not budging. I did notice that the dropdown for Java Version has JDK 8 (Hotspot) and JDK 11 (Hotspot) [System Default] however, I don't have JDK 11 listed as an installed package on my system anywhere which has confused me further. I have a feeling this is a configuration issue somewhere I just don't know where...

forrest.wilson posted this 13 June 2021

Ah this was it. Had to pull the cubecoders/ampbase:java8 docker image. Thanks mate

Close